### Constructor

# Gtk ObjectExpressionnew

#### Declaration [src]

    GtkExpression*
    gtk_object_expression_new (
      GObject* object
    )

#### Description [src]

Creates an expression evaluating to the given `object` with a weak reference.

Once the `object` is disposed, it will fail to evaluate.

This expression is meant to break reference cycles.

If you want to keep a reference to `object`, use `gtk_constant_expression_new()`.

#### Parameters

`object`

  Type: `GObject`

  Object to watch.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkObjectExpression`

A new `GtkExpression`

The caller of the function takes ownership of the data, and is responsible for freeing it.